#include <windows.h>
#include <stdio.h>
#include "libMSL.h"

typedef DWORD (__stdcall *TSayHello)(char *Who);

int
main(int argc, char **argv)
{
  HMODULE hHello;
  char Name[256];
  TSayHello SayHello;
  DWORD Returned;
    
  printf("libMSL demo application\n");
  printf("Loading MSL file...");
  hHello = LoadLib("Hello.dll.msl");
  printf("DONE, HMODULE: %p\n", hHello);

  printf("Type in your name: ");
  scanf("%s", Name);
  printf("Calling SayHello from MSL file...");
  SayHello = (TSayHello)GetProcAddr(hHello, "SayHello");
  Returned = SayHello(Name);
  printf("Returned: %u\n", Returned);

  printf("FreeLib call...");
  if (FreeLib(hHello))
     printf("SUCCESS\n");
  else
     printf("FAILED\n");

  return 0;
}
