program DLL2MSL;

{$APPTYPE CONSOLE}

{ DLL2MSL
  A tool for converting DLL files to MSL.
}

uses
  libMSL;

var InputFile, OutputFile: string;
begin
  //UseInputOutput;
  WriteLn;
  WriteLn('DLL2MSL 1.0');
  WriteLn('Copyright (c) 2005, Michal Strehovsky');
  WriteLn('www.migeel.sk');
  WriteLn;

  if ParamCount=0 then
  begin
    WriteLn('No input parameters specified. Showing help.');
    WriteLn;
    WriteLn('Tool which converts DLL files to MSL - the format of libMSL.');
    WriteLn;
    WriteLn('Usage:');
    WriteLn('  dll2msl input.dll [output.msl]');
    WriteLn;
    WriteLn('If no output specified, input.dll.msl is the output file.');
    WriteLn;
    Exit;
  end;

  InputFile:=ParamStr(1);
  if ParamCount>1 then
     OutputFile:=ParamStr(2)
  else
      OutputFile:=InputFile+'.msl';

  Write('Converting ',InputFile, ' to ', OutputFile, '...');

  if DllToMsl(PChar(InputFile), PChar(OutputFile)) then
     WriteLn('SUCCESS')
  else
      WriteLn('FAILED');

  WriteLn;
end.
 