program HelloCaller;

{$APPTYPE CONSOLE}

{
A little demonstration of MSL capabilities and how to use them.
I think that the usage is really self-explanatory.
}

uses
  libMSL, Windows;


// Declaration of SayHello function
type TSayHello = function(Who: PChar): DWORD; stdcall;

var hHello: HMODULE;
    Name: string;
    SayHello: TSayHello;
    Returned: DWORD;
begin
  //UseInputOutput;

  WriteLn('libMSL demo application');
  Write('Loading MSL file...');
  hHello:=LoadLib('Hello.dll.msl');
  WriteLn('DONE, HMODULE: ', hHello);

  Write('Type in your name: ');
  ReadLn(Name);
  Write('Calling SayHello from MSL file...');
  SayHello:=GetProcAddr(hHello, 'SayHello');
  Returned:=SayHello(PChar(Name));
  WriteLn('Returned: ', Returned);

  Write('FreeLib call...');
  if FreeLib(hHello) then
     WriteLn('SUCCESS')
  else
      WriteLn('FAILED');

  ReadLn;
end.
