unit MSLTypes;

interface

uses Windows;

type
  PIMAGE_EXPORT_DIRECTORY = ^IMAGE_EXPORT_DIRECTORY;
  IMAGE_EXPORT_DIRECTORY = packed record
    Characteristics: DWORD;
    TimeDateStamp: DWORD;
    MajorVersion: WORD;
    MinorVersion: WORD;
    Name: DWORD;
    Base: DWORD;
    NumberOfFunctions: DWORD;
    NumberOfNames: DWORD;
    AddressOfFunctions: DWORD;
    AddressOfNames: DWORD;
    AddressOfNameOrdinals: WORD;
  end;

  PMslHeader = ^TMslHeader;
  TMslHeader = packed record
    Signature:   DWORD;
    ImageBase:   DWORD;
    EntryPoint:  DWORD;
    SizeOfImage: DWORD;
    NumberOfSections: DWORD;
    ImportsVA: DWORD;
    ExportsVA: DWORD;
    RelocationsVA: DWORD;
    ResourcesVA: DWORD;
  end;

  PMslSectionHeader = ^TMslSectionHeader;
  TMslSectionHeader = packed record
    RawAddress: DWORD;
    RawSize: DWORD;
    VirtualAddress: DWORD;
  end;


const MSL_SIGNATURE_10: DWORD   = $E011BF11;
      MslHeaderSize:DWORD       = SizeOf(TMslHeader);
      MslSectionHeaderSize:byte = SizeOf(TMslSectionHeader);

      
implementation

end.
 