#ifndef __LIBMSL_H__
#define __LIBMSL_H__

#ifdef __cplusplus
extern "C" {
#endif

// libMSL C header file

// libMSL,
// Copyright (c) 2004-2005, Michal Strehovsky
// www.migeel.sk

// C translation by Lukas Lalinsky

/*typedef struct MSL_HEADER {
  DWORD Signature;	// must be MSL_SIGNATURE_10
  DWORD ImageBase;	// preferred ImageBase of MSL file
  DWORD EntryPoint;	// EntryPoint RVA
  DWORD SizeOfImage	// Size of whole image in memory (not filesize!)
  DWORD NumberOfSections; // number of TMlsSectionHeaders following this header
  DWORD ImportsVA;	// Import Table RVA
  DWORD ExportsVA;	// Export Table RVA
  DWORD RelocationsVA;	// Relocation Table RVA
  DWORD ResourcesVA;	// Resource directory RVA
} MSL_HEADER;

typedef MSL_HEADER *PMSL_HEADER;


typedef struct MSL_SECTION_HEADER {
  DWORD RawAddress;
  DWORD RawSize;
  DWORD VirtualAddress;
} MSL_SECTION_HEADER;

typedef MSL_SECTION_HEADER *PMSL_SECTION_HEADER

*/

#define MSL_SIGNATURE_10 0xE011BF11;

__declspec(dllimport) BOOL __stdcall DllToMsl(
 LPCSTR lpDllFileName,	// name of dll file to be converted
 LPCSTR lpMslFileName	  // resulting msl file name
);

__declspec(dllimport) HINSTANCE __stdcall LoadLib(
 LPCTSTR lpLibFileName	// address of filename of executable module
);

__declspec(dllimport) BOOL __stdcall FreeLib(
 HMODULE hLibModule 	// handle to loaded library module  
);

__declspec(dllimport) LPVOID __stdcall GetProcAddr(
 HMODULE hModule,	// handle to MSL module
 LPCSTR lpProcName 	// name of function
);

__declspec(dllimport) HINSTANCE __stdcall LoadMappedMsl(
 LPVOID lpMslOffset	// pointer to a memory-mapped MSL file
);

__declspec(dllimport) LPVOID __stdcall MappedDllToMsl(
 LPVOID lpDllOffset,	// pointer to memory-mapped DLL
 LPDWORD lpSize		// pointer to a DWORD which receives the MSL file size
);

#ifdef __cplusplus
}
#endif

#endif



